*{
    margin: 0 auto;
    padding: 0;
}
body{
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    font-family: Verdana;
}
h2{
    font-family: Verdana;
    font-weight: 700;
    font-size: 20px;
}
p{
    font-size: 16px;
    font-family: Calibri;
}
a{
    font-size: 12px;
    font-family: Verdana;
    text-decoration: none;
}
input:focus{
    outline: 0;
}
input {
    font-size: 14px;
    background: white !important;
}
button{
    cursor: pointer;
    background: red;
    color: white;
    font-family: Verdana;
    font-weight: 700;
    font-size: 18px;
    padding: 15px 40px;
    border: none;
    margin-top: 10px;
    transition: 0.5s;
}
button:hover{
    background: black;
}
button:focus{
    outline:0;
}
hr {
   background-color: red;
   color: red;
}
#blur{
    display: none;
    z-index: 1000;
    position: fixed;
    width: 100%;
    height: 100%;
    background: white;
    opacity: 0.8;
    text-align: center;
}
#blur img{
    position: absolute;
    top: 40%;
    width: 140px;
    margin-left:-70px;
    display: inline-block;
}
.wrapper {
    overflow-x: hidden;
    z-index: 200;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
}
.row{
    margin-bottom: 20px;
}
.container{
    position: relative;
    width: 100%;
}
.background{
    z-index: 100;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: white;
}
.content{
    z-index: 200;
    position: absolute;
    left: 0%;
    top: 0px;
    width: 100%;
}
.posts{
    text-align: center;
}
.post{
    position: relative;
    display: inline-block;
    width: 300px;
    height: 300px;
    margin: 30px 15px 0px 15px;
    background: white;
    box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.75);
    transition: 0.2s;
}
.post:hover{
    box-shadow: 0px 0px 21px 0px rgba(255,0,0,1);
}
.post_header{
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    height: 40px;
    background: white;
}
.post_header .author_img{
    overflow: hidden;
    float: left;
    margin-left: 15px;
    margin-top: 5px;
    width: 30px;
    height: 30px;
    border-radius: 100px;
}
.post_header .author_img img{
    width: 100%;
    height: 100%;
    background: black;
}
.post_header .author_name{
    position: relative;
    float: left;
    margin-top: 10px;
    margin-left: 10px;
    font-weight: bold;
}
.post_body{
    overflow: hidden;
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    height: 210px;
    background: black;
}
.post_body img{
    left: 0px;
    width: 100%;
}
.post_footer{
    overflow: auto;
    overflow-x: hidden;
    position: relative;
    left:0;
    top: 0;
    width: 100%;
    height: 90px;
    background: white;
}
.post_footer p{
    padding: 10px 15px;
    font-weight: bold;
    font-size: 14px;
    text-align: left;
}
.show_more{
    clear: both;
    position: relative;
    width: 100%;
    text-align: center;
}
.show_more button{
    margin-top: 50px;
    margin-bottom: 50px;
}
/* sidebar */
.sidebar{
    z-index: 300;
    user-select: none;
    position: fixed;
    top: 0px;
    width: 18%;
    left: -18%;
    height: 100%;
    box-shadow: 10px 0px 23px 15px rgba(0,0,0,0.48);
}
.sidebar_background{
    z-index: 200;
    position: absolute;
    left:0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #323232;
    opacity: 0.95;
}
.sidebar_body{
    overflow: auto;
    height: 600px;
}
.sidebar_body .container{
    width: 260px;
}
.sidebar_content{
    z-index: 300;
    position: relative;
}
.sidebar .sidebar_header{
    width: 100%;
    height: 100px;
}
.arrow{
    user-select: none;
    cursor: pointer;
    position: absolute;
    top: 20px;
    width: 70px;
    height: 70px;
    transition: 0.2s;
}
.arrow img{
    width: 100%;
}
.arrow:hover{
    transition: 0.2s;
    width: 75px;
    height: 75px;
}
.open{
    z-index: 300;
    position: fixed;
    display: none;
    left:20px;
}
.close{
    right: 20px;
}
.close img{
    transform: rotate(180deg);
}

input[type=text] {
    position: relative;
    left: 0;
    top: 0;
    width: 180px;
    height: 50px;
    padding: 0px 10px;
    border: none;
    color: red;
    font-size: 14px;
    margin: 0 auto;
}
input[disabled=disabled]{
    font-weight: 700;
    padding: 0 0 0 20px;
    background: white;
}
.hash_posts{
    position:relative;width: 100%;
    padding-bottom: 15px;
    border-bottom: 1px solid red;
}
.hashtag_field{
    position:relative;
    width:100%;
    background: white;
    margin-bottom: 10px;
}
.hashtag{
    position: relative;
    display: inline-block;
    min-width: 50px;
    background: red;
    margin-right: 5px;
    margin-bottom: 5px;
}
.hashtag a{
    cursor: pointer;
    float: left;
    padding: 7px 10px;
    color:white;
    font-weight: bold;
    transition: 0.5s;
}
.hashtag a:hover{
    color: black;
}
.remove_hashtag{
    cursor: pointer;
    position: relative;
    float: left;
    width: 30px;
    height: 30px;
    padding: 0;
    margin: 0 auto;
    background-image: url("../image/x.png");
    background-size: 55% 55%;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    transition: 0.5s;
}
.remove_hashtag:hover{
    background-color: black;
}
.form_add_button{
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0px;
    margin: 0 0 0 -3px;
    padding: 0;
    height: 50px;
    width: 50px;
    border: none;
    color: white;
    background: red;
    background-size: 55% 55%;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    transition: 0.5s;
}
.form_add_button:hover{
    background-color: black;
}
#add_button_plus{
    background-image: url("../image/plus.png");
}
#add_button_dropdown{
    background-image: url("../image/arrow-down.png");
}
.dropdown{
    display: none;
}
ul li{
    user-select: none;
    cursor: pointer;
    list-style-type: none;
    text-align: center;
    padding: 10px;
    color: white;
    font-size: 14px;
    font-weight: bold;
}
.sidebar_footer{
    z-index: 300;
    position: absolute;
    bottom: 0;
    width: 100%;
    background: white;
    height: 100px;
}
.sidebar_footer .developer{
    margin: 17px 0 0 20px;
    position: absolute;
    left: 0;
    top: 0;
    width: 250px;
    height: 100%;
}
.sidebar_footer .developer:hover > .dev_name{
    transition: 0.5s;
    color: red !important;
}
.developer .dev_photo {
    overflow: hidden;
    position: relative;
    float: left;
    left: 0;
    top: 0;
    width: 70px;
    height: 70px;
    background: white;
    border-radius: 100px;
    background-image: url("../image/dev.jpg");
    background-size: 230%;
    background-position: 95% 35%;
    background-repeat: no-repeat;
}
.developer .dev_name{
    float: left;
    font-size: 17px;
    line-height: 1.5;
    font-weight: bold;
    color: black;
    margin: 10px 0 0 15px;
}
.sidebar_footer .contacts{
    position: absolute;
    margin-top: 5px;
    right: 0;
    width: 70px;
    height: 100%;
}
.sidebar_footer .contacts div{
    cursor: pointer;
    position: relative;
    left: 0;
    top: 0;
    width: 30px;
    height: 30px;
    border-radius: 100px;
    margin-top: 10px;
    background: white;
    transition: 0.5s;
}
.sidebar_footer .contacts div:hover{
    transform: rotate(360deg);
}
#telegram {
    background-image: url("../image/telegram.png");
    background-size: 100% 100%;
    background-position: 0% 0%;
    background-repeat: no-repeat;
}
#instagram {
    background-image: url("../image/insta.png");
    background-size: 100% 100%;
    background-position: 0% 0%;
    background-repeat: no-repeat;
}

::-webkit-scrollbar {
    display: block;
    width: 5px;
    background: #515151;
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: red;
}
.load_insta_posts{
    text-align: center;top: 340px;position: relative;
}
.load_insta_posts div{
    width: 540px;background:#515151;
}
.load_insta_posts div p{
    padding: 19px;font-weight: bold;font-size: 24px;color: white;
}
.load_insta_posts div button{
    margin: 25px;
}

@media (max-width: 1720px) {
    .sidebar_body .container{
        width: 240px;
    }
    input[type=text]{
        width: 160px;
    }
}
@media (max-width: 1600px) {
    .sidebar{
        width: 20%;
        left: -20%;
    }
}
@media (max-width: 1420px) {
    .sidebar{
        width: 22%;
        left: -22%;
    }
}
@media (max-width: 1330px) {
    .sidebar{
        width: 25%;
        left: -25%;
    }
}
@media (max-width: 1130px) {
    .sidebar_footer{
        height: 86px;
    }
    .sidebar_footer .developer {
        margin: 8px 0 0 8px;
    }
    .developer .dev_name {
        font-size: 15px;
        line-height: 1.3;
        margin: 15px 0 0 10px;
    }
    .sidebar_footer .contacts{
        width: 50px;
        margin-top: 0px;
    }
    .sidebar_footer .contacts div{
        margin-top: 10px;
    }
}
@media (max-width: 1050px){
    .sidebar{
        width: 27%;
        left: -27%;
    }
    .sidebar_body .container{
        width: 215px;
    }
    .arrow{
        width: 60px;
        height: 60px;
    }
    h2{
        font-size: 18px;
    }
    input[type=text]{
        width: 145px;
        font-size: 13px;
    }
    button{
        font-size: 15px;
    }
    .hashtag a{
        padding: 5px 5px;
        font-size: 11px;
    }
    .hashtag div{
        width: 25px;
        height: 25px;
    }
    .sidebar_footer .developer{
        margin: 13px 0 0 8px;
    }
    .developer .dev_photo{
        width: 60px;
        height: 60px;
    }
    .developer .dev_name{
        margin: 12px 0 0 10px;
    }
}
/* mobile version */
@media (max-width: 950px){
    .container{
        width: 70%;
    }
    .post{
        width: 400px;
        min-height: 300px;
        height: auto;
    }
    .post_header{
        height: 50px;
    }
    .post_header .author_img {
        margin-left: 15px;
        margin-top: 7.5px;
        width: 35px;
        height: 35px;
    }
    .post_header .author_name {
        margin-top: 15px;
        margin-left: 12px;
    }
    p{
        font-size: 18px;
    }
    .post_body {
        height: auto;
        min-height: 200px;
    }
    .post_footer{
        height: 90px;
    }
    .post_footer p {
        padding: 10px 20px;
        font-size: 18px;
    }
    .sidebar{
        width: 400px;
        left: -400px;
        box-shadow: 10px 0px 23px 15px rgba(0,0,0,0.48);
    }
    .sidebar_background {
        background: #323232;
        opacity: 0.95;
    }
    .sidebar_body{
        margin-top: 20px;
    }
    .sidebar_body .container {
        width: 320px;
    }
    input[type=text] {
        width: 250px;
        font-size: 18px;
    }
    .arrow {
        cursor: default;
        width: 60px;
        height: 60px;
    }
    .hashtag {
        margin-right: 10px;
        margin-bottom: 10px;
    }
    .hashtag a {
        padding: 5px 5px;
        font-size: 18px;
    }
    .hashtag div {
        width: 35px;
        height: 35px;
    }
    button{
        font-size: 20px;
    }
    h2{
        font-size: 20px;
    }
    .hashtag_field{
        margin-bottom: 20px;
    }
    .sidebar_footer {
        height: 115px;
        background: white;
    }
    .sidebar_footer .developer {
        margin: 21px 0 0 20px;
    }
    .developer .dev_photo {
        width: 75px;
        height: 75px;
    }
    .developer .dev_name {
        margin: 13px 0 0 23px;
        font-size: 18px;
        line-height: 1.5;
        color: black;
    }
    .sidebar_footer .contacts {
        width: 60px;
    }
    .sidebar_footer .contacts div{
        width: 40px;
        height: 40px;
        margin-top:12px;
    }
    .background{
        background-size: 200% 100%;
        background-position: 34%;
    }
    .load_insta_posts div{
        width: 300px;
    }
}
@media (max-width: 600px){
    .post{
        width: 300px;
    }
    .sidebar{
        width: 365px;
    }
}
@media (max-width: 450px){
    .container{
        width: 100%;
    }
    .post{
        width: 250px;
        margin: 15px 15px 0px 15px;
    }
    .post_header {
        height: 40px;
    }
    .post_header .author_img {
        margin-left: 15px;
        margin-top: 7.5px;
        width: 25px;
        height: 25px;
    }
    .post_header .author_name {
        margin-top: 12px;
        margin-left: 12px;
    }
    p{
        font-size: 15px;
    }
    .post_footer {
        height: 69px;
    }
    .post_footer p {
        font-size: 12px;
    }
    /* sidebar */
    .sidebar{
        width: 280px;
    }
    .sidebar .sidebar_header{
        height: 85px;
    }
    .arrow {
        width: 50px;
        height: 50px;
    }
    .sidebar_body{
        margin-top:0;
    }
    .sidebar_body .container {
        width: 240px;
    }
    input[type=text] {
        width: 170px;
        font-size: 15px;
        height: 45px;
    }
    .hashtag_field input[type=submit]{
        height: 45px;
        width: 45px;
    }
    .form_add_button{
        width: 45px;
        height: 45px;
    }
    .hashtag a {
        font-size: 10px;
    }
    .hashtag div {
        width: 20px;
        height: 20px;
    }
    button{
        font-size: 12px;
    }
    h2{
        font-size: 12px;
    }
    .row {
        margin-bottom: 15px;
    }
    .sidebar_footer{
        height: 79px;
    }
    .sidebar_footer .developer {
        margin: 15px 0 0 15px;
    }
    .developer .dev_photo {
        width: 50px;
        height: 50px;
    }
    .developer .dev_name {
        margin: 10px 0 0 12px;
        font-size: 12px;
        line-height: 1.3;
    }
    .sidebar_footer .contacts div {
        width: 25px;
        height: 25px;
        margin-top: 10px;
    }
}